<html><head><title>interface ti.bios.power.ITMS320CDM644x</title>
<meta name="googlebot" content="noindex,nofollow">
<link rel="stylesheet" type="text/css" href="../../../src.css"/>
</head>
<body>
<pre class=src>
     1    <span class="comment">/* 
</span>     2    <span class="comment"> * Copyright (c) 2011, Texas Instruments Incorporated
</span>     3    <span class="comment"> * All rights reserved.
</span>     4    <span class="comment"> *
</span>     5    <span class="comment"> * Redistribution and use in source and binary forms, with or without
</span>     6    <span class="comment"> * modification, are permitted provided that the following conditions
</span>     7    <span class="comment"> * are met:
</span>     8    <span class="comment"> *
</span>     9    <span class="comment"> * *  Redistributions of source code must retain the above copyright
</span>    10    <span class="comment"> *    notice, this list of conditions and the following disclaimer.
</span>    11    <span class="comment"> *
</span>    12    <span class="comment"> * *  Redistributions in binary form must reproduce the above copyright
</span>    13    <span class="comment"> *    notice, this list of conditions and the following disclaimer in the
</span>    14    <span class="comment"> *    documentation and/or other materials provided with the distribution.
</span>    15    <span class="comment"> *
</span>    16    <span class="comment"> * *  Neither the name of Texas Instruments Incorporated nor the names of
</span>    17    <span class="comment"> *    its contributors may be used to endorse or promote products derived
</span>    18    <span class="comment"> *    from this software without specific prior written permission.
</span>    19    <span class="comment"> *
</span>    20    <span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
</span>    21    <span class="comment"> * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
</span>    22    <span class="comment"> * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
</span>    23    <span class="comment"> * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
</span>    24    <span class="comment"> * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
</span>    25    <span class="comment"> * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
</span>    26    <span class="comment"> * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
</span>    27    <span class="comment"> * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
</span>    28    <span class="comment"> * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
</span>    29    <span class="comment"> * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
</span>    30    <span class="comment"> * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
</span>    31    <span class="comment"> * 
</span>    32    <span class="comment"> */</span>
    33    <span class="comment">/*
</span>    34    <span class="comment"> *  ======== ITMS320CDM644x.xdc ========
</span>    35    <span class="comment"> */</span>
    36    
    37    <span class=key>package</span> ti.bios.power;
    38    
    39    
    40    <span class="xdoc">/*! Interface for TMS320DM644x devices.
</span>    41    <span class="xdoc"> *
</span>    42    <span class="xdoc"> *  The common configuration parameters for all TMS320DM644x devices
</span>    43    <span class="xdoc"> *  are contained within this module.
</span>    44    <span class="xdoc"> */</span>
    45    <span class=key>metaonly</span> <span class=key>interface</span> ITMS320CDM644x {
    46    
    47        <span class=xdoc>//! Runtime Operating System</span>
    48        <span class=key>enum</span> OpersysCfg {
    49            Opersys_PrOS_DaVinci,   <span class=xdoc>//! PrOS on DaVinci platform</span>
    50            Opersys_Linux,          <span class=xdoc>//! Linux (HLOS)</span>
    51            Opersys_DSPBIOS         <span class=xdoc>//! DSP/BIOS</span>
    52        };
    53    
    54        <span class=xdoc>//! Define which operating system is running on the CPU (required)</span>
    55        <span class=key>config</span> OpersysCfg opersys;
    56    
    57        <span class=xdoc>//! Transport Layer used between GPP and DSP</span>
    58        <span class=key>enum</span> TransportCfg {
    59            Transport_Link_PrOS_DaVinci,    <span class=xdoc>//! DSP/BIOS Link for PrOS on DaVinci</span>
    60            Transport_Link_Linux            <span class=xdoc>//! DSP/BIOS Link for Linux</span>
    61        };
    62    
    63        <span class=xdoc>//! Define which transport layer is used (required)</span>
    64        <span class=key>config</span> TransportCfg transport;
    65    
    66        <span class="xdoc">/*! Proxy device used for new devices
</span>    67    <span class="xdoc">     *
</span>    68    <span class="xdoc">     *  To support new devices which behave the same as existing devices,
</span>    69    <span class="xdoc">     *  set this configuration parameter to a known device which can be
</span>    70    <span class="xdoc">     *  used as a proxy for the new device.
</span>    71    <span class="xdoc">     */</span>
    72        <span class=key>config</span> String proxyFor;
    73    }
    74    <span class="comment">/*
</span>    75    <span class="comment"> *  @(#) ti.bios.power; 1, 1, 1,1; 12-9-2011 14:12:57; /db/atree/library/trees/power/power-g11x/src/ xlibrary
</span>    76    <span class="comment">
</span>    77    <span class="comment"> */</span>
    78    
</pre>
</body></html>
